.header {
  display: flex;
  align-items: center;
  height: 100px;
  padding: 0 30px;
  background: #000;
}

.logo {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 200px;
  height: 100%;
}

.logo-text {
  display: flex;
  align-items: center;
  height: 100%;
  color: #fff;
  font-family: "Comic Sans MS", cursive, sans-serif;
  font-size: 24px;
  font-weight: bold;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
}

.logo:hover > .logo-text {
  color: #e6e4e4;
  text-shadow: 0 0 10px #fff;
  transition: 0.3s all ease-in;
}

.logo:hover + div.logo-line {
  display: block;
  animation: animateLine 2s 1;
}

.logo-line {
  display: none;
  flex: 1;
  border: 1px solid #fff;
}

@keyframes animateLine {
  from {
    flex: 0;
  }
  to {
    flex: 1;
  }
}
